trinity-devel@lists.pearsoncomputing.net

Message: previous - next
Month: October 2011

Re: [trinity-devel] Building qt3

From: /dev/ammo42 <mickeytintincolle@...>
Date: Tue, 25 Oct 2011 23:50:53 +0200
Le Tue, 25 Oct 2011 14:12:41 -0700 (PDT),
Darrell Anderson <humanreadable@...> a écrit :

> I notice the developer's wiki has been updated and mentions that qt3
> should be build with Trinity sources rather than built from distro
> sources.
> 
> I am building qt3 from the original 3.3.8b sources and applying my
> own patches. That approach worked okay last spring.
> 
> I presume any patches applied in the past no longer are needed
> because they are included in the Trinity sources.
Since you are using Slackware 13.1, you will have either:
-to apply the patch that makes Qt3 libpng14-compatible (I used the
attached one)
or
-to make the Qt3 build system use the Slackware-provided libpng12
instead of the default libpng14 (the Trolltech-provided libpng-1.2.5 is
full of security holes, and is deactivated by a patch of mine that went
upstream…); a long time ago I tried this with Trolltech 3.3.8b and
Slackware 13.1 and didn't succeed.
> 
> Problem is I don't see a tarball for the Trinity sources. I don't
> know how to use git.
> 
> I would appreciate somebody updating the wiki to provide some
> guidance. :) Or provide sufficient details here, which later can be
> added to the wiki.
> 
> Thanks.
> 
> Darrell
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail:
> trinity-devel-unsubscribe@... For additional
> commands, e-mail: trinity-devel-help@... Read
> list messsages on the Web archive:
> http://trinity-devel.pearsoncomputing.net/ Please remember not to
> top-post:
> http://trinity.pearsoncomputing.net/mailing_lists/#top-posting
> 


Attachments: